//----------------------------------------------------------------------
// terrain-textures:
//	0: textures/temperate_sd/grass_dense1.tga		textures/UJE_00/uje_grass_dense1.tga
//	1: textures/temperate_sd/grass_path1.tga
//	2: textures/temperate_sd/master_grass_dirt3.tga
//	3: textures/temperate_sd/sand_disturb_bright.tga	textures/temerate_sd/sand_wave_bright.tga
//	4: textures/temperate_sd/rocky_sand.tga			textures/UJE_jungle_sniper/rocky_sand2.tga
//	5: textures/temperate_sd/rock_grayvar.tga		textures/temperate_sd/rock_graynoise.tga


//----------------------------------------------------------------------
//q3map_foliage <model> <scale> <density> <odds> <use inverse alpha> 

// grass
models/mapobjects/plants_sd/grass_low
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/plants_sd/grass_green1.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

models/mapobjects/plants_sd/grassdryfoliage
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/plants_sd/grass_dry3.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaf1
{
    surfaceparm trans
    surfaceparm pointlight

    cull disable

    distanceCull 256 1024 0.4

    {
        map models/mapobjects/tree_desert_sd/palm_leaf1.tga
        alphaFunc GE128
        rgbGen exactVertex
        alphaGen vertex
    }
}

//----------------------------------------------------------------------

textures/UJE_jungle_sniper/ujeterrain_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
}

//--

textures/UJE_jungle_sniper/ujeterrain_0
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	surfaceparm grasssteps

	//q3map_foliage models/mapobjects/plants_sd/grassdryfoliage.md3 1.0 128 0.10 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 128 0.7 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 2.0 256 0.5 0
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 0

	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_1
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base

	surfaceparm landmine
	surfaceparm grasssteps

//	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 1.0 128 0.10 0
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_leaves1.md3 3.0 512 0.5 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 128 0.7 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.6 256 0.3 0
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 0

	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_2
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	surfaceparm grasssteps

	q3map_foliage models/mapobjects/plants_sd/grass_low.md3 1.0 128 0.10 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 128 0.7 0
	//q3map_foliage models/mapobjects/tree_desert_sd/newpalm.md3 1.3 256 0.4 0

	{
//		map textures/temperate_sd/master_grass_dirt3.tga
//		tcMod scale 1.75 1.75
		map textures/UJE_jungle_sniper/leaves_rainforest_tile5.tga
		tcMod scale 0.5 0.5
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_3
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
//		map textures/temperate_sd/sand_wave_bright.tga
		map textures/UJE_jungle_sniper/sand_wavelines_tile.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_4
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 0
	surfaceparm gravelsteps
	{
		map textures/UJE_jungle_sniper/rocky_sand2.tga
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_5
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rock_graynoise.tga
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}


//----------------------------------------------------------------------
// blends

textures/UJE_jungle_sniper/ujeterrain_0to1
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_leaves1.md3 3.0 512 0.5 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 128 0.7 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 2.0 256 0.3 0
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/grass_path1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_0to2
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 128 0.7 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.5 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/newpalm.md3 6 256 0.4 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
//		map textures/temperate_sd/master_grass_dirt3.tga
//		tcMod scale 1.75 1.75
		map textures/UJE_jungle_sniper/leaves_rainforest_tile5.tga
		tcMod scale 0.5 0.5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_0to3
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.7 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
//		map textures/temperate_sd/sand_wave_bright.tga
		map textures/UJE_jungle_sniper/sand_wavelines_tile.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_0to4
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.4 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 0
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/UJE_jungle_sniper/rocky_sand2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_0to5
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.8 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
		map textures/temperate_sd/grass_dense1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_jungle_sniper/ujeterrain_1to2
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_leaves1.md3 3.0 512 0.5 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 128 0.7 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.5 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/newpalm.md3 7 256 0.4 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	surfaceparm landmine
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
//		map textures/temperate_sd/master_grass_dirt3.tga
//		tcMod scale 1.75 1.75
		map textures/UJE_jungle_sniper/leaves_rainforest_tile5.tga
		tcMod scale 0.5 0.5
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_1to3
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_leaves1.md3 3.0 512 0.5 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.3 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
//		map textures/temperate_sd/sand_wave_bright.tga
		map textures/UJE_jungle_sniper/sand_wavelines_tile.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_1to4
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_leaves1.md3 3.0 512 0.5 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.6 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 0
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/UJE_jungle_sniper/rocky_sand2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_1to5
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_leaves1.md3 3.0 512 0.5 0
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_temperate_sd/mediumfoliage2.md3 1.2 256 0.3 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_jungle_sniper/ujeterrain_2to3
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	surfaceparm landmine
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_desert_sd/newpalm.md3 5 256 0.4 1
	{
//		map textures/temperate_sd/master_grass_dirt3.tga
//		tcMod scale 1.75 1.75
		map textures/UJE_jungle_sniper/leaves_rainforest_tile5.tga
		tcMod scale 0.5 0.5
	}
	{
//		map textures/temperate_sd/sand_disturb_bright.tga
		map textures/UJE_jungle_sniper/sand_wavelines_tile.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_2to4
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_desert_sd/newpalm.md3 5 256 0.4 1
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
//		map textures/temperate_sd/master_grass_dirt3.tga
//		tcMod scale 1.75 1.75
		map textures/UJE_jungle_sniper/leaves_rainforest_tile5.tga
		tcMod scale 0.5 0.5
	}
	{
		map textures/UJE_jungle_sniper/rocky_sand2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_2to5
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_temperate_sd/floor_leaf1.md3 1.0 256 0.7 1
	//q3map_foliage models/mapobjects/tree_desert_sd/newpalm.md3 5 256 0.4 1
	{
//		map textures/temperate_sd/master_grass_dirt3.tga
//		tcMod scale 1.75 1.75
		map textures/UJE_jungle_sniper/leaves_rainforest_tile5.tga
		tcMod scale 0.5 0.5
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_jungle_sniper/ujeterrain_3to4
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 1
	{
//		map textures/temperate_sd/sand_wave_bright.tga
		map textures/UJE_jungle_sniper/sand_wavelines_tile.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/UJE_jungle_sniper/rocky_sand2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.0 1.0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/UJE_jungle_sniper/ujeterrain_3to5
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	{
//		map textures/temperate_sd/sand_wave_bright.tga
		map textures/UJE_jungle_sniper/sand_wavelines_tile.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

//----------------------------------------------------------------------

textures/UJE_jungle_sniper/ujeterrain_4to5
{
	q3map_baseshader textures/UJE_jungle_sniper/ujeterrain_base
	//q3map_foliage models/mapobjects/tree_desert_sd/palm_trunk2.md3 4.0 384 0.3 0
	{
		map textures/UJE_jungle_sniper/rocky_sand2.tga
		tcMod scale 1.0 1.0
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 0.25 0.25
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}



//--- water
textures/UJE_jungle_sniper/waternodraw
{
	qer_editorimage textures/common/nodrawwater.tga
	qer_trans .5
	
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
}

textures/UJE_jungle_sniper/water_base
{
	nocompress
	qer_editorimage textures/UJE_jungle_sniper/c1_128.tga
	qer_trans .40
	q3map_globaltexture
	q3map_nonplanar
	q3map_nofog
	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter //zichtbare  texture tint op ondergrond  vanuit onder water
//	surfaceparm pointlight
}

textures/UJE_jungle_sniper/uje_water
{
	q3map_baseshader textures/UJE_jungle_sniper/water_base
	qer_editorimage textures/UJE_jungle_sniper/c1_128.tga
	cull none
	tessSize 512
	deformVertexes wave 224 sin 0 3 0.5 0.23

	{
		animMap 9 textures/UJE_jungle_sniper/c1_128.tga textures/UJE_jungle_sniper/c2_128.tga textures/UJE_jungle_sniper/c3_128.tga textures/UJE_jungle_sniper/c4_128.tga textures/UJE_jungle_sniper/c5_128.tga textures/UJE_jungle_sniper/c6_128.tga textures/UJE_jungle_sniper/c7_128.tga textures/UJE_jungle_sniper/c8_128.tga
		blendfunc gl_src_alpha gl_one
		alphaGen const 0.25
		rgbGen vertex
		depthWrite
		tcmod scale 0.3 0.25
		tcmod turb 0 0.1 0.3 0.25
		tcmod scroll 0.004 0.003
	}
	{ 
		map textures/UJE_jungle_sniper/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen const 0.85 //0.56
		depthWrite
	}
	{
		map textures/UJE_jungle_sniper/uje_env.tga
		blendfunc gl_src_alpha gl_one
		alphaGen const 0.05
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}

textures/UJE_jungle_sniper/uje_sky
{
	qer_editorimage textures/UJE_jungle_sniper/sky/ujesky_lf.tga
	q3map_lightrgb 0.8 0.9 1.0
	//q3map_sunExt red green blue intensity degrees elevation deviance samples
//	q3map_sun 1 .95 .9 100 60 60
	q3map_sunExt 1 .95 .9 100 60 60 2 16   //140 ipv 60
	// q3map_lightmapFilterRadius self other
	q3map_lightmapFilterRadius 0 8
	// q3map_skylight amount iterations
	q3map_skylight 50 5

//	sunshader textures/UJE_jungle_sniper/uje_sun	// de sprite van een schijnende zon

	surfaceparm sky
	skyparms "textures/UJE_jungle_sniper/sky/ujesky" - -
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm noimpact
	nopicmip
	nomipmaps
}
